import { Plugin } from 'prosemirror-state';
import { type Parser, type Serializer } from "../../../core/index.js";
import "../../../types/spec.js";
export type ClipboardPluginOptions = {
    mdParser: Parser;
    textParser: Parser;
    serializer: Serializer;
    pasteFileHandler?: (file: File) => void;
};
export declare const clipboard: ({ textParser, mdParser, serializer, pasteFileHandler, }: ClipboardPluginOptions) => Plugin<any>;
