import { MarkdownParser } from "./markdown/MarkdownParser.js";
export class ParserTokensRegistry {
    #tokens = {};
    addToken(name, token) {
        this.#tokens[name] = token;
        return this;
    }
    createParser(schema, tokenizer, pmTransformers, dynamicModifier) {
        return new MarkdownParser(schema, tokenizer, this.#tokens, pmTransformers, dynamicModifier);
    }
}
//# sourceMappingURL=ParserTokensRegistry.js.map
