import { clipboard } from "./clipboard.js";
import * as clipboardUtils from "./utils.js";
export { clipboardUtils };
export const Clipboard = (builder, opts) => {
    builder.addPlugin((deps) => clipboard({
        mdParser: deps.markupParser,
        textParser: deps.textParser,
        serializer: deps.serializer,
        pasteFileHandler: opts.pasteFileHandler,
    }), builder.Priority.VeryLow);
};
//# sourceMappingURL=index.js.map
